import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import CheckboxChecked from '@s-ui/react-icons/lib/Checkboxchecked';
import CheckboxUnchecked from '@s-ui/react-icons/lib/Checkboxunchecked';
import cx from 'classnames';

var getCheckboxIcon = function getCheckboxIcon(checked, customIcons) {
  var icon;

  if (checked) {
    icon = customIcons ? customIcons.checked : CheckboxChecked;
  } else {
    icon = customIcons ? customIcons.unchecked : CheckboxUnchecked;
  }

  return icon;
};

var FormCheckbox = function FormCheckbox(_ref) {
  var checked = _ref.checked,
      className = _ref.className,
      errorMessage = _ref.errorMessage,
      label = _ref.label,
      name = _ref.name,
      onChange = _ref.onChange,
      svgIcons = _ref.svgIcons;
  var CheckboxIcon = getCheckboxIcon(checked, svgIcons);
  return /*#__PURE__*/_jsxs("div", {
    className: cx('sui-FormCheckbox', className),
    children: [/*#__PURE__*/_jsxs("label", {
      className: "sui-FormCheckbox-container",
      children: [/*#__PURE__*/_jsx("input", {
        checked: checked,
        className: cx('sui-FormCheckbox-input', {
          'is-checked': checked
        }),
        name: name,
        onChange: onChange,
        type: "checkbox"
      }), /*#__PURE__*/_jsx(CheckboxIcon, {
        svgClass: "sui-FormCheckbox-icon"
      }), /*#__PURE__*/_jsx("span", {
        className: "sui-FormCheckbox-label",
        children: label
      })]
    }), errorMessage && /*#__PURE__*/_jsx("div", {
      className: "sui-FormCheckbox-errorMessage",
      children: /*#__PURE__*/_jsx("span", {
        className: "sui-FormCheckbox-errorMessageLabel",
        children: errorMessage
      })
    })]
  });
};

FormCheckbox.displayName = 'FormCheckbox';
export default FormCheckbox;